cURL
curl --request GET \
--url https://sandbox.withclasp.com/payroll_payments/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/payroll_payments/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/payroll_payments/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"member": "<string>",
"payday": "2023-12-25",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"hours_worked": "<string>",
"gross_pay": "<string>",
"payroll_provider_external_id": "<string>"
}Payroll Payments
Retrieve Payroll Payment
GET
/
payroll_payments
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Pattern:
^-?\d{0,3}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Unique identifier for the payroll payment in the payroll system.
Maximum string length:
255⌘I